%define	oname	compress

Summary:	Fast compression and decompression utilities
Name:		ncompress
Version:	5.0
Release:	%mkrel 2
License:	Public Domain
Group:		Archiving/Compression
URL:		https://ncompress.sourceforge.net/
Source:		https://github.com/vapier/ncompress/archive/v%{version}/%{name}-%{version}.tar.gz
# allow to build ncompress
# ~> downstream
Patch0:		ncompress-5.0-make.patch
# from dist-git commit 0539779d937
# (praiskup: removed redundant part as -DNOFUNCDEF is defined)
# ~> downstream
Patch1:		ncompress-5.0-lfs.patch
# exit when too long filename is given (do not segfault)
# ~> #unknown
# ~> downstream
# Patch2: ncompress-4.2.4.4-filenamelen.patch
# Did not segfault, Prints error 'File name too long'
# permit files > 2GB to be compressed
# ~> #126775
Patch3:		ncompress-5.0-2GB.patch
# do not fail to compress on ppc/s390x
# ~> #207001
Patch4:		ncompress-5.0-endians.patch
# use memmove instead of memcpy
# ~> 760657
# ~> downstream
Patch5:		ncompress-5.0-memmove.patch

%description
The ncompress package contains the compress and uncompress
file compression and decompression utilities, which are compatible
with the original UNIX compress utility (.Z file extensions).  These
utilities can't handle gzipped (.gz file extensions) files, but
gzip can handle compressed files.

%prep
%autosetup -p2

%build
#- extra CFLAGS
%ifarch sparc m68k armv4l ppc s390 s390x ppc64 sparc64
ARCH_FLAGS="$ARCH_FLAGS -DBYTEORDER=1234"
%endif

%ifarch alpha ia64
ARCH_FLAGS="$ARCH_FLAGS -DNOALLIGN=0"
%endif

%make_build CFLAGS="%{optflags} %{?nc_endian} %{?nc_align}" LDFLAGS="%{ldflags} -std=gnu17"

%install
install -m755 %{oname} -D %{buildroot}%{_bindir}/%{oname}
ln -sf %{oname} %{buildroot}%{_bindir}/uncompress
install -m644 %{oname}.1 -D %{buildroot}%{_mandir}/man1/%{oname}.1
ln -sf %{oname}.1 %{buildroot}%{_mandir}/man1/uncompress.1

%files
%doc LZW.INFO README.md Changes Acknowleds
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Wed May 21 2025 ns80 <ns80> 5.0-2.mga10
+ Revision: 2185463
- try to fix building with GCC 15

* Wed Dec 04 2024 daviddavid <daviddavid> 5.0-1.mga10
+ Revision: 2121406
- new version: 5.0

* Tue Mar 15 2022 umeabot <umeabot> 4.2.4.6-2.mga9
+ Revision: 1792957
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 luigiwalser <luigiwalser> 4.2.4.6-1.mga8
+ Revision: 1652340
- 4.2.4.6

* Fri Feb 14 2020 umeabot <umeabot> 4.2.4.5-2.mga8
+ Revision: 1522796
- Mageia 8 Mass Rebuild

* Thu Feb 07 2019 daviddavid <daviddavid> 4.2.4.5-1.mga7
+ Revision: 1364017
- new version: 4.2.4.5

* Sun Sep 23 2018 umeabot <umeabot> 4.2.4.4-7.mga7
+ Revision: 1299684
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Feb 08 2016 umeabot <umeabot> 4.2.4.4-6.mga6
+ Revision: 942585
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.2.4.4-5.mga5
+ Revision: 747390
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.4.4-4.mga5
+ Revision: 682815
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.2.4.4-3.mga4
+ Revision: 508240
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 pterjan <pterjan> 4.2.4.4-1.mga1
+ Revision: 35068
- imported package ncompress


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 4.2.4.4-1mdv2011.0
+ Revision: 607031
- 4.2.4.4
- rebuild

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.2.4.3-1mdv2010.1
+ Revision: 516719
- update to 4.2.4.3

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.2.4.2-4mdv2010.0
+ Revision: 426229
- rebuild

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 4.2.4.2-3mdv2009.1
+ Revision: 319055
- rediffed one fuzzy patch
- use %%ldflags

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 4.2.4.2-2mdv2009.0
+ Revision: 223336
- rebuild

* Sun Mar 02 2008 Olivier Blin <oblin@mandriva.com> 4.2.4.2-1mdv2008.1
+ Revision: 177755
- remove most of the filenamelen patch, "filename too long" errors are already handled upstream
- remove bssUnderflow patch (merged upstream)
- remove zero byte patch (merged upstream)
- rediff filenamelen patch (remove rindex hunks, replaced by strrchr now)
- bunzip2 patches
- update URL to SourceForge project
- 4.2.4.2

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 4.2.4-36mdv2008.1
+ Revision: 153280
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 11 2007 Olivier Thauvin <nanardon@mandriva.org> 4.2.4-34mdv2008.0
+ Revision: 84366
- really fix on 64bits arch

* Wed Aug 29 2007 Olivier Thauvin <nanardon@mandriva.org> 4.2.4-33mdv2008.0
+ Revision: 75018
- from Philippe Weill <Philippe.Weill@aero.jussieu.fr>
  o P6 and P7 from fedora core 7 for endian and fix uncompress on x86_64
  o removed old endian stuff

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 4.2.4-32mdv2008.0
+ Revision: 73426
- Import ncompress



* Tue Sep 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.2.4-32mdv2007.0
- cosmetics
- P5 from fedora:
	o fix problems with compressing zero-sized files (rh #189215, rh #189216)

* Tue Aug 29 2006 Oden Eriksson <oeriksson@mandriva.com> 4.2.4-31
- added fixes from 4.2.4-28.1.20060mdk:
  - P4: security fix for CVE-2006-1168

* Fri Jan 27 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2.4-30mdk
- generic build, thus also enabling ppc64

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.2.4-29mdk
- Rebuild

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.2.4-28mdk
- permit files > 2GB to be compressed (P3 from fedora)
- add sparcv9 sparc64 & ppc64 to arch flags

* Thu Oct 21 2004 Giuseppe Ghibó <ghibo@mandrakesoft.com> 4.2.4-27mdk
- added x86_64 to arch flags.

* Sun Aug 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.2.4-26mdk
- rebuild

* Mon Apr 19 2004 Michael Scherer <misc@mandrake.org> 4.2.4-25mdk 
- Rebuild

* Wed Mar 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.2.4-24mdk
- oops, removed zcmp, zmore and zdiff from package

* Fri Mar 21 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.2.4-23mdk
- reintroduced, merged patches from redhat and cleaned up
- added zcmp, zmore and zdiff to package
- added some docs

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 4.2.4-22mdk
- rebuilt for cooker

* Sun Sep 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.4-21mdk
- rebuilt for macros.
- use of spec helper.
- the Big Move.

* Fri Apr 14 2000 Vincent Saugey <vince@mandrakesoft.com> 4.2.4-20mdk
- corrected group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 4.2.4-19mdk
- Added PPC Support

* Wed Nov 10 1999 Jerome Martin <jerome@mandrakesoft.com>
- minor specfile cleanup
- rebuild for new environment

* Sun Oct 31 1999 David BAUDENS <baudens@mandrakesoft.com>
- Add i486 and i686 arch (forgotten by Lord DarkChmou ;)

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix build mutliple archichtechtures..

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- build on armv4l too
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
